Calendar

View as Markdown

Check Conditions

POST/api/v1/calendar/conditions/check

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/conditions/check" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Deliver Calendar Reminder

POST/api/v1/calendar/reminders/{reminder_id}/deliver

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/reminders/{reminder_id}/deliver" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Deliver Calendar Wake

POST/api/v1/calendar/wakes

Store one agent wake as Mail and publish the ordinary inbox event.

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/wakes" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

List Commitments

GET/api/v1/calendar/commitments
Request
curl "https://app.opvs.ai/api/v1/calendar/commitments" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Create Commitment

POST/api/v1/calendar/commitments
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Preview Commitment

POST/api/v1/calendar/commitments/preview
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments/preview" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Get Commitment

GET/api/v1/calendar/commitments/{commitment_id}

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Update Commitment

PATCH/api/v1/calendar/commitments/{commitment_id}

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X PATCH "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

List Commitment Reminders

GET/api/v1/calendar/commitments/{commitment_id}/reminders

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}/reminders" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Cancel Commitment

POST/api/v1/calendar/commitments/{commitment_id}/cancel

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}/cancel" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Complete Commitment

POST/api/v1/calendar/commitments/{commitment_id}/done

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}/done" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Pause Commitment

POST/api/v1/calendar/commitments/{commitment_id}/pause

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}/pause" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Resume Commitment

POST/api/v1/calendar/commitments/{commitment_id}/resume

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}/resume" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Renew Commitment

POST/api/v1/calendar/commitments/{commitment_id}/renew

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}/renew" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Get Policy

GET/api/v1/calendar/policy
Request
curl "https://app.opvs.ai/api/v1/calendar/policy" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Put Policy

PUT/api/v1/calendar/policy
Request
curl -X PUT "https://app.opvs.ai/api/v1/calendar/policy" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Get Due

GET/api/v1/calendar/due
Request
curl "https://app.opvs.ai/api/v1/calendar/due" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Record Commitment Check

POST/api/v1/calendar/commitments/{commitment_id}/checked

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/commitments/{commitment_id}/checked" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

List Runs

GET/api/v1/calendar/runs
Request
curl "https://app.opvs.ai/api/v1/calendar/runs" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Create Run

POST/api/v1/calendar/runs
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/runs" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Complete Run

POST/api/v1/calendar/runs/{run_id}/complete

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/runs/{run_id}/complete" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Get Reminder

GET/api/v1/calendar/reminders/{reminder_id}

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/calendar/reminders/{reminder_id}" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Mark Reminder Fired

POST/api/v1/calendar/reminders/{reminder_id}/fired

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/calendar/reminders/{reminder_id}/fired" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Did this answer your question?